C 1997/9
C           INPUT DATA CREATION FOR F2D
C          ----- F2DCR.FOR FOR WINDOWS95 -----
C                 BY TAKAYUKI HIRAI
C
      DIMENSION TX(9900),TY(9900)
      CHARACTER TITLE*40
C
C  ---------- INPUT FUNDAMENTAL VALUE ----------
      OPEN(16,FILE='DD')
      IDD=0
      WRITE(*,2001)
      READ(*,1001) TITLE 
      WRITE(16,2002) TITLE 
      WRITE(*,2007)
      READ(*,*) X1
      WRITE(*,2008)
      READ(*,*) Y1
      WRITE(*,2003)
      READ(*,*) LX
      DO 10 I=1,LX
      WRITE(*,2010) I
   10 READ(*,*) TX(I)
      WRITE(*,2004)
      READ(*,*) LY
      DO 12 I=1,LY
      WRITE(*,2011) I
   12 READ(*,*) TY(I)
 1001 FORMAT(A40) 
 2001 FORMAT(/'  --------  CREATION INPUT DATA  --------'
     1    //'  TITLE = ')
 2002 FORMAT(' MODEL TITLE  =',A40)
 2003 FORMAT(/' X-DIRECTION DIVISION NUMBER = ')
 2004 FORMAT(/' Y-DIRECTION DIVISION NUMBER = ')
 2007 FORMAT(/' X-COORDINATE OF BASIS POINT = ') 
 2008 FORMAT(' Y-COORDINATE OF BASIS POINT = ') 
 2010 FORMAT(' X-DIRECTION DIVIDE LENGTH OF NO.',
     1    I2,' = ') 
 2011 FORMAT(' Y-DIRECTION DIVIDE LENGTH OF NO.',
     1    I2,' = ') 
C
C  ------------ CREATE NODE COORDINATE ------------
      WRITE(*,2006)
      NELE=LX*LY
      NODE=(LX+1)*(LY+1)
      NODT=3*NELE+2*(LX+LY)+1
      WRITE(16,2031) NELE
      WRITE(16,2032) NODE
      WRITE(16,2033) NODT
      WRITE(16,2034) 
      WRITE(16,2035) 
      WRITE(16,2036) 
      WRITE(16,2037) 
      WRITE(*,2031) NELE
      WRITE(*,2032) NODE
      WRITE(*,2033) NODT
      WRITE(*,2034) 
      WRITE(*,2035) 
      WRITE(*,2036) 
      WRITE(*,2037) 
      LX1=LX+1
      LY1=LY+1
      N=0
      TYY=Y1
      DO 21 J=1,LY1
      IF(J.EQ.1) GO TO 23
      TYY=TYY+TY(J-1)
   23 TXX=X1
      DO 21 I=1,LX1
      II=1
      IF(I.EQ.1) GO TO 24 
      TXX=TXX+TX(I-1)
   24 N=N+1
      WRITE(16,2014) N,TXX,TYY
   21 WRITE(*,2014) N,TXX,TYY
      IF(NODE.NE.N) IDD=100
      TYY=Y1
      TYH=Y1+TY(1)/2.0
      DO 25 J=1,LY
      IF(J.EQ.1) GO TO 26
      TYY=TYY+TY(J-1)
      TYH=TYH+(TY(J-1)+TY(J))/2.0
   26 TXX=X1+TX(1)/2.0
      DO 27 I=1,LX
      IF(I.EQ.1) GO TO 28 
      TXX=TXX+(TX(I-1)+TX(I))/2.0
   28 N=N+1
      WRITE(16,2014) N,TXX,TYY
   27 WRITE(*,2014) N,TXX,TYY
      TXX=X1
      DO 29 I=1,LX1
      IF(I.EQ.1) GO TO 30 
      TXX=TXX+TX(I-1)
   30 N=N+1
      WRITE(16,2014) N,TXX,TYH
   29 WRITE(*,2014) N,TXX,TYH
   25 CONTINUE
      TYY=TYY+TY(LY)
      TXX=X1+TX(1)/2.0
      DO 32 I=1,LX
      IF(I.EQ.1) GO TO 31 
      TXX=TXX+(TX(I-1)+TX(I))/2.0
   31 N=N+1
      WRITE(16,2014) N,TXX,TYY
   32 WRITE(*,2014) N,TXX,TYY
      IF(NODT.NE.N) IDD=200
 2006 FORMAT(/)
 2014 FORMAT(I5,2F15.6)      
 2031 FORMAT('ELEMENTS      =',I5)
 2032 FORMAT('VERTEX NODES  =',I5)
 2033 FORMAT('TOTAL NODES   =',I5)
 2034 FORMAT('MATERIALS     =    1')
 2035 FORMAT('GAUSS POINTS  =    3')
 2036 FORMAT('CON.=1 NON.=0 =    1')
 2037 FORMAT('  NODE   CO-ORDINATE X-Y')
C
C  ------- CREATE NODE NUMBER OF EACH ELEMENT ------- 
      WRITE(16,2040)
      WRITE(*,2040)
      N=0
      DO 40 J=1,LY
      DO 40 I=1,LX
      N=N+1
      N1=(LX+1)*(J-1)+I
      N2=N1+1
      N3=N2+LX+1
      N4=N3-1
      N5=NODE+(2*LX+1)*(J-1)+I
      N6=N5+LX+1
      N7=N6+LX
      N8=N6-1
      WRITE(*,2015) N,N1,N2,N3,N4,N5,N6,N7,N8,1,0.0
   40 WRITE(16,2015) N,N1,N2,N3,N4,N5,N6,N7,N8,1,0.0
      WRITE(*,2016)
      WRITE(16,2016)
      WRITE(*,2018)
      WRITE(16,2018)
      DO 41 I=1,3
      WRITE(*,2017)
   41 WRITE(16,2017)
      WRITE(*,2021)
      WRITE(16,2021)
      IF(IDD.EQ.0) WRITE(*,2019)
      IF(IDD.NE.0) WRITE(*,2020)
 2040 FORMAT(' ELEMENT  NODE NUMBER 1-8',
     1   21X,'MAT.   INI. STRAIN')
 2015 FORMAT(10I5,F10.5)
 2016 FORMAT(' MATERIAL  YOUNG''S R.    POISSON''S ',
     1   'R.   THICKNESS  PLANE STRESS=0/STRAIN=1'/
     2   '    1  200000.000000       0.200000      ',
     3   ' 1.000000    0')
 2018 FORMAT(' NODE  CONDITION X-Y   NODE CONDITION',
     1   ' VALUE X-Y')
 2017 FORMAT('    1    0    0       0.000000      '
     1   ,' 0.000000')
 2019 FORMAT(/'       ----------  FINISH  ----------'/)  
 2020 FORMAT(/'       ------  ERROR   TOTAL NODE ',
     1    'NUMBER DISAGREE  ------'/)
 2021 FORMAT('99999')
      CLOSE(16,STATUS='KEEP')
      STOP
      END
